#pragma once

#ifdef _WIN32_WCE
#error "CDHtmlDialog is not supported for Windows CE."
#endif 

// CWaitDialog dialog

class CWaitDialog : public CDHtmlDialog
{
	DECLARE_DYNCREATE(CWaitDialog)

public:
	CWaitDialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~CWaitDialog();
// Overrides

// Dialog Data
	enum { IDD = IDD_WAITDIALOG, IDH = IDR_HTML_WAITDIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
	DECLARE_DHTML_EVENT_MAP()
    virtual void OnOK();
    virtual void OnCancel();
public:
    CString m_sCopyRightDates;
    CString m_sMessageText;
    STDMETHOD(ShowContextMenu)(
        DWORD dwID,
        POINT* ppt,
        IUnknown* pcmdtReserved,
        IDispatch* pdispReserved
        );
    STDMETHOD(GetHostInfo)(
       DOCHOSTUIINFO *pInfo
    );
};
